- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: d8fa2f56-2028-47d6-b16b-dd6a1ca3901b
    creation_time: 2023-02-17T12:05:16.963232Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-acceleration/simple_1-2.c
      input_file_hashes:
        c/loop-acceleration/simple_1-2.c: 7922cbf7e8f9780d3e8e620cf25362ae75252990a9db15252dbdfd9dda70dad0
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-acceleration/simple_1-2.c
    file_hash: 7922cbf7e8f9780d3e8e620cf25362ae75252990a9db15252dbdfd9dda70dad0
    line: 15
    column: 0
    function: main
  loop_invariant:
    string: x%2 == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 6e8911c9-0fd3-4d4f-8167-840142788970
    creation_time: 2023-02-17T12:05:16.963508Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/loop-acceleration/simple_1-2.c
      input_file_hashes:
        c/loop-acceleration/simple_1-2.c: 7922cbf7e8f9780d3e8e620cf25362ae75252990a9db15252dbdfd9dda70dad0
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-acceleration/simple_1-2.c
    file_hash: 7922cbf7e8f9780d3e8e620cf25362ae75252990a9db15252dbdfd9dda70dad0
    line: 19
    column: 0
    function: main
  location_invariant:
    string: x%2 == 0
    type: assertion
    format: C

